Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.cardcontact.opencard.security
Enum IsoSecureChannel.SSCPolicyEnum

    java.lang.Object
      java.lang.Enum<IsoSecureChannel.SSCPolicyEnum>
          de.cardcontact.opencard.security.IsoSecureChannel.SSCPolicyEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IsoSecureChannel.SSCPolicyEnum>

Enclosing class:
  IsoSecureChannel

    public static enum IsoSecureChannel.SSCPolicyEnum

extends java.lang.Enum<IsoSecureChannel.SSCPolicyEnum>

Enum Constant Summary
`DEFAULT`
`SYNC`
`SYNC_AND_ENCRYPT`

Method Summary
`static IsoSecureChannel.SSCPolicyEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IsoSecureChannel.SSCPolicyEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final IsoSecureChannel.SSCPolicyEnum DEFAULT

### SYNC

    public static final IsoSecureChannel.SSCPolicyEnum SYNC

### SYNC_AND_ENCRYPT

    public static final IsoSecureChannel.SSCPolicyEnum SYNC_AND_ENCRYPT

Method Detail

### values

    public static IsoSecureChannel.SSCPolicyEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IsoSecureChannel.SSCPolicyEnum c : IsoSecureChannel.SSCPolicyEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IsoSecureChannel.SSCPolicyEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD